apiVersion: v1
kind: Pod
metadata:
  name: helmfile0
  namespace: kube-system
  labels:
    app.kubernetes.io/name: helmfile0
spec:
  containers:
  - name: helmfile
    image: '{{ helmfile_image }}'
    command:
    - /bin/bash
    - -exc
    - {{ helmfile0_sh | to_json }}
    workingDir: /
    env: {{ helmfile0_env | to_json }}

    volumeMounts:
    - name: host-etc-kubernetes
      mountPath: /host
      readOnly: true
  restartPolicy: OnFailure
  nodeSelector:
    'node-role.kubernetes.io/master': ''
  tolerations:
  - effect: NoSchedule
    operator: Exists
  volumes:
  - name: host-etc-kubernetes
    hostPath:
      path: /etc/kubernetes
      type: Directory
